
%global meadversion 2.0.0
%global namedversion 2.0.0.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jboss-jms-api_2.0_spec}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.0.0.Final-redhat-00001

Name:           %{?scl_prefix}jboss-jms-api_2.0_spec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Java(TM) Message Service (JMS) 2.0 API
Group:          Development/Java

%if %with mead
Source100: jboss-jms-api_2.0_spec-2.0.0.Final-redhat-00001-project-sources.tar.gz
Source102: jboss-jms-api_2.0_spec-2.0.0.Final-redhat-00001-sources.jar
Source103: jboss-jms-api_2.0_spec-2.0.0.Final-redhat-00001-javadoc.jar
Source104: jboss-jms-api_2.0_spec-2.0.0.Final-redhat-00001.jar
Source105: jboss-jms-api_2.0_spec-2.0.0.Final-redhat-00001.pom
%endif

License:        CDDL-1.1 or GPLv2 with exceptions
URL:            https://github.com/jboss/jboss-jms-api_spec
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jboss-jms-api_2.0_spec-%{namedversion}-%{release}-root

%description
JSR-000343: Java(TM) Message Service (JMS) 2.0 API.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-jms-api_2.0_spec
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jboss-jms-api_2.0_spec-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-jms-api_2.0_spec-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-jms-api_2.0_spec-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-jms-api_2.0_spec-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-jms-api_2.0_spec-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-jms-api_2.0_spec-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-jms-api_2.0_spec-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-jms-api_2.0_spec-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-jms-api_2.0_spec-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-jms-api_2.0_spec-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-jms-api_2.0_spec-%{namedversion} %{buildroot}%{_javadocdir}/jboss-jms-api_2.0_spec
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jboss-jms-api_2.0_spec
%defattr(0644,root,root,0755)
%if 0
%doc LICENSE README.md
%endif
%{_javadir}/jboss-jms-api_2.0_spec-%{namedversion}.jar
%{_javadir}/jboss-jms-api_2.0_spec.jar
%if %with javadoc
%{_javadir}/jboss-jms-api_2.0_spec-%{namedversion}-javadoc.jar
%{_javadir}/jboss-jms-api_2.0_spec-javadoc.jar
%endif
%{_javadir}/jboss-jms-api_2.0_spec-%{namedversion}-sources.jar
%{_javadir}/jboss-jms-api_2.0_spec-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-jms-api_2.0_spec-%{namedversion}
%{_javadocdir}/jboss-jms-api_2.0_spec
%endif

%changelog
* Wed Oct 09 2019 Yong Yang <yyang@redhat.com> - 2.0.0-1.Final_redhat_00001.1
- RPM wrapper build 2.0.0.Final-redhat-00001

* Fri Jun 22 2018 Yong Yang <yyang@redhat.com> - 1.0.2-1.Final_redhat_1.1
-  1.0.2.Final-redhat-1 for eap 7.2.0

* Tue Nov 07 2017 Permaine Cheung <pcheung@redhat.com> - 1.0.1-4.Final_redhat_1.1
- Fix license (JBEAP-13468)

* Mon Oct 16 2017 Permaine Cheung <pcheung@redhat.com> - 1.0.1-3.Final_redhat_1.1
- Fix license (JBEAP-13468)

* Mon Jul 10 2017 Permaine Cheung <pcheung@redhat.com> - 1.0.1-1.Final_redhat_1.1
- 1.0.1.Final-redhat-1 

* Mon Jul 10 2017 Permaine Cheung <pcheung@redhat.com> - 1.0.1-1.Final_redhat_1.1
- 1.0.1.Final-redhat-1 

* Mon Jul 03 2017 Martin Minar <mminar@redhat.com> - 1.0.1-1.Final_redhat_1.1
- update to version 1.0.1.Final-redhat-1

* Tue Jun 16 2015 Hui Wang <huwang@redhat.com> - 1.0.0-1.Final_redhat_1.1
- Initial build


